

.lx-file-upload {
    display: table;
    width: 100%;
    border: 1px solid #d2d6de;
    border-radius: 4px;
    background: #fff;
    overflow: hidden;
}

.lx-file-btn,
.lx-file-name {
    display: table-cell;
    vertical-align: middle;
}

.lx-file-btn {
    position: relative;
    width: 1%;
    white-space: nowrap;
    border-radius: 0;
    border: 0;
    border-right: 1px solid #d2d6de;
    margin: 0;
    background: #f5f5f5;
    font-weight: 600;
}

.lx-file-btn:hover,
.lx-file-btn:focus {
    background: #e9e9e9;
}

.lx-file-btn input[type="file"] {
    position: absolute;
    top: 0;
    right: 0;
    min-width: 100%;
    min-height: 100%;
    font-size: 100px;
    text-align: right;
    opacity: 0;
    outline: none;
    cursor: pointer;
}

.lx-file-name {
    padding: 8px 12px;
    color: #777;
    background: #fff;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}